Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356161 - [RFE] prefer numa nodes close to host devices when using hostdev passthrough
Summary: [RFE] prefer numa nodes close to host devices when using hostdev passthrough
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: RFEs
Version: 4.18.1
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.1.0-alpha
: 4.19.2
Assignee: Martin Polednik
QA Contact: Artyom
URL:
Whiteboard:
Depends On:
Blocks: 1430233
TreeView+ depends on / blocked
 
Reported: 2016-07-13 14:00 UTC by Martin Polednik
Modified: 2017-03-08 06:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this release, if you do not specify any NUMA mapping, Red Hat Virtualization defaults to a NUMA node which contains the host device's memory-mapped I/O (MMIO). This configuration is only preferred, rather than strictly required.
Clone Of:
Environment:
Last Closed: 2017-02-01 14:48:08 UTC
oVirt Team: Virt
michal.skrivanek: ovirt-4.1?
alukiano: testing_plan_complete+
rule-engine: planning_ack?
michal.skrivanek: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60637 master MERGED hostdev: report device MMIO numa node 2016-10-05 10:41:21 UTC
oVirt gerrit 60638 master NEW hostdev: expose numa_node in host device 2016-09-29 08:50:45 UTC
oVirt gerrit 60639 master ABANDONED utils: add utlity to generate positive cpuset notation 2016-07-25 14:12:30 UTC
oVirt gerrit 60640 master NEW hostdev: prefer numa nodes close to device MMIO 2016-10-05 10:42:26 UTC
oVirt gerrit 62063 master MERGED devices: add is_hostdevice attribute 2016-10-05 10:41:36 UTC
oVirt gerrit 62064 master MERGED hostdev: properly set is_hostdevice 2016-10-05 10:41:45 UTC

Description Martin Polednik 2016-07-13 14:00:31 UTC
Description of problem:
On NUMA aware systems, host device's MMIO memory region resides on one of available numa nodes. We should prefer such node when starting VM with host devices to improve device performance and latency as memory reads and writes are faster within a node (distance 1.0).

Comment 1 Sandro Bonazzola 2016-12-12 13:55:11 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 2 Artyom 2017-01-16 14:32:12 UTC
Verified on vdsm-4.19.1-44.git945b2f6.el7.centos.x86_64 by polarion test cases.

1) The VM with PCI host device(has numa_node=0), runs with preferred NUMA node 0
2) NUMA pinning override PCI host device NUMA mode.

Comment 3 Tahlia Richardson 2017-02-06 06:33:24 UTC
Updated doc text to be appropriate for a release note. I'll be opening a docs bug based on the full doc text shortly.


Note You need to log in before you can comment on or make changes to this bug.